Subject: Re: [bug#38640] [PATCH] Add ripgrep and many rust dependencies

From: Martin Becze <[email-masked]>
Date: Mon, 16 Dec 2019 14:53:38 -0800

On 2019-12-16 19:08, John Soo wrote:
> Hi Guix,
> 
> I have missed using the rust tools I use outside of Guix. Ripgrep was
> the first one I could build thanks to the work on the rust build
> system.
> 
> Of course, it required adding over 200 dependencies.
> 
> Some of these have cyclic dependencies, as you all know. What I
> understand is that the rust community is OK with including cyclic
> dependencies as test dependencies.  I am actually seeing how useful
> that is. Consider the system tests in the guix repository. Certainly
> that would require including guix as a dependency to guix.
> 
> I also left the cargo inputs and dev inputs commented out just in case
> someone wants to put them back in the future and to give a sense of
> the topological order of the patches.
> 
> Having imported ripgrep some months ago, some of these dependencies
> will require updates, but I did not want to break the working version
> of ripgrep at the end of the line.  Otherwise I have fixed the other
> lint errors and I have been using ripgrep for several months.
> 
> - John

I'm trying to convince everyone to leave in the crago-inputs
dependencies and add a "#:skip-build? #t" to the build arguments for all
source pakages. That way we don't have to specify the transient
dependencies at the top level package. Either way yay ripgrep!

-Martin